import type { _NSObject } from "../Foundation/NSObject.js";
import type { ASAuthorizationPublicKeyCredentialLargeBlobSupportRequirement } from "./ASAuthorizationPublicKeyCredentialLargeBlobSupportRequirement.js";
export declare class _ASAuthorizationPublicKeyCredentialLargeBlobRegistrationInput extends _NSObject {
    static alloc(): _ASAuthorizationPublicKeyCredentialLargeBlobRegistrationInput;
    static new(): _ASAuthorizationPublicKeyCredentialLargeBlobRegistrationInput;
    init(): _ASAuthorizationPublicKeyCredentialLargeBlobRegistrationInput;
    initWithSupportRequirement$(requirement: ASAuthorizationPublicKeyCredentialLargeBlobSupportRequirement): _ASAuthorizationPublicKeyCredentialLargeBlobRegistrationInput;
    supportRequirement(): ASAuthorizationPublicKeyCredentialLargeBlobSupportRequirement;
    setSupportRequirement$(value: ASAuthorizationPublicKeyCredentialLargeBlobSupportRequirement): void;
}
